# Uses of Enum Class
org.apache.lucene.queries.payloads.SpanPayloadCheckQuery.MatchOperation

Packages that use SpanPayloadCheckQuery.MatchOperation
Package
Description
org.apache.lucene.queries.payloads
The payloads package provides Query mechanisms for finding and using payloads.

- ## Uses of SpanPayloadCheckQuery.MatchOperation in org.apache.lucene.queries.payloads

  Fields in org.apache.lucene.queries.payloads declared as SpanPayloadCheckQuery.MatchOperation
  Modifier and Type
  Field
  Description
  `protected final SpanPayloadCheckQuery.MatchOperation`
  SpanPayloadCheckQuery.`operation`
  Methods in org.apache.lucene.queries.payloads that return SpanPayloadCheckQuery.MatchOperation
  Modifier and Type
  Method
  Description
  `static SpanPayloadCheckQuery.MatchOperation`
  SpanPayloadCheckQuery.MatchOperation.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SpanPayloadCheckQuery.MatchOperation[]`
  SpanPayloadCheckQuery.MatchOperation.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Methods in org.apache.lucene.queries.payloads with parameters of type SpanPayloadCheckQuery.MatchOperation
  Modifier and Type
  Method
  Description
  `static PayloadMatcher`
  PayloadMatcherFactory.`createMatcherForOpAndType(SpanPayloadCheckQuery.PayloadType payloadType, SpanPayloadCheckQuery.MatchOperation op)`
  Return a payload matcher for use in the SpanPayloadCheckQuery that will decode the ByteRef from a payload based on the payload type, and apply a matching inequality operations (eq,lt,lte,gt,and gte)
  Constructors in org.apache.lucene.queries.payloads with parameters of type SpanPayloadCheckQuery.MatchOperation
  Modifier
  Constructor
  Description
  ``
  `SpanPayloadCheckQuery(SpanQuery match, List<BytesRef> payloadToMatch, SpanPayloadCheckQuery.PayloadType payloadType, SpanPayloadCheckQuery.MatchOperation operation)`